/* CSS Más alto o Más bajo */
/***************************/
#contentmain {
display:flex;
width:90%;
background:lightseagreen;
background-image: url('https://juegos.chentito.com/extras/img_varias1300/fondo-turquesa1.jpg');
background-size: cover;
border-radius:7px;
padding:10px;
margin:auto;
		font-family: "Arial", "Helvetica", "Segoe UI", "Tahoma", "Verdana", sans-serif; 
		line-height:normal;
}

.arealeft {
width:68%;   
}

.arearight {
 width:30%; padding: 7px; background: radial-gradient(darkseagreen, lightseagreen);
 margin-left:2%; border-left: 1px solid seagreen;  border-radius:10px;
}

.grid-container {
    display: grid; 
    grid-template-columns: repeat(6, 1fr); 
    grid-template-rows: repeat(5, 1fr); 
    gap: 10px; 
    border: 2px solid seagreen;
	border-radius:10px;
    padding: 10px;
	background: radial-gradient(darkseagreen, lightseagreen);
}

.grid-item {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px; font-weight:bold;
    user-select: none;
	border-radius: 10px;
    width: 50px;
    height: 50px;
    margin: auto;	
	box-shadow: 0px 0px 0px 2px darkgreen, 0px 0px 14px green, 0px 0px 7px inset green;	
	cursor: url('https://juegos.chentito.com/extras/img/pointer48-1.png')10 10, pointer;
}

.grid-item.active {
    background-color: lightgreen;
}

#numsumado {
	font-size: 34px;
    font-weight: bold;
    background: lightgreen;
    border-radius: 50%;
    margin: 0px auto 10px;
    box-shadow: 0px 0px 5px inset black, 7px 7px 10px inset white;
	width:120px; height:120px;
	display:flex;
	justify-content:center; align-items:center;	
}

#gridlife {
    display:grid;
    grid-template-columns: repeat(5, 1fr);
    border-radius:14px;
    gap:4px;
    background:lightseagreen;
    margin: 10px auto;
    padding: 5px;
	box-shadow: 0px 0px 2px black;
}

.grid-itemlife {
  background-color: darkgoldenrod; 
  width:40px; height:40px;
  border-radius:50%;
  text-align: center;  
  align-content:center;
  margin:auto;    box-shadow: 0px 0px 5px white;
}

#nummasalto, #nummasbajo {
    display:inline-block;
	line-height:1;
	width:45px; height:45px;	
    padding:5px; 
    font-size: 35px;  
    margin: 5px;
    border-radius:50%;
	box-shadow: 0px 0px 5px inset black;
  text-align: center;  
  align-content:center;
  margin:auto;	
  animation: nummasaltobajo 3s infinite;
	transition: ease-in-out;
}

@keyframes nummasaltobajo {
	25% {
	box-shadow:0px 0px 2px 2px inset yellow;
		transform:scale(1.1);
	}
	75% {
	box-shadow:0px 0px 2px 2px  inset orange;
	}
}


#btncomprobar {
	padding: 10px;
	border-radius: 7px;
	border: none;
	box-shadow: 0px 0px 5px inset black, 2px 2px 5px inset white;
	background: lightseagreen;
	font-weight: bold;
    cursor: url('https://juegos.chentito.com/extras/img/pointer48-1.png')10 10, pointer;
}

#hud {
  display:flex;
  justify-content: center;
  gap: 20px;
  margin: 10px;
  font-size: 18px;
  font-weight: bold;
}

#timer { color: darkred; }
#score { color: darkblue; }

#modal { 
	position:fixed;
	background:gray; opacity:0.9; 
	top:0; left:0; width:100%; height:100%;
	align-content:center; display:none;
}

#infomodal { 
	background: lightgray; font-size:25px; 
	padding:20px; border-radius:14px; 
	width:360px; margin:auto; text-align:center;
	box-shadow: 0px 0px 2px 7px inset black;	
	animation: pulso 1s infinite;
}
@keyframes pulso {
	50% { 
		box-shadow: 0px 0px 0px 7px inset black, 0px 0px 10px yellow, 0px 0px 20px yellow;
	}
}

.numcorrecto {
	background: lightgreen;
	padding: 7px;
	border-radius: 10px;
}

#btncierramodal { 
	background:#3c66a2; color:white;
	border-radius:7px; padding:4px 20px; 
	box-shadow:0px 0px 5px 3px inset black, 1px 1px 5px 3px white;
	font-size:22px;
}


/*  Ajustes para pantallas móviles */
@media (max-width: 1000px) {
	#hud {
	  gap: 16px;
	  font-size: 14px;
	}

  .grid-container {
      width: 95%;
  }

  .grid-item {
      font-size: 20px;
	  width: 36px;
	  height: 36px;
  }

  #gridlife {
      grid-template-columns: repeat(5, 1fr);
      width: 90%;
  }

  .grid-itemlife {
      width: 30px; 
      height: 30px;
      font-size: 14px;
  }

  #numrandom, #numsumado {
      font-size: 20px;
	  	width:80px; height:80px;
  }

  #nummasalto, #nummasbajo {
      font-size: 30px;
      padding: 4px;
  }

  button {
      font-size: 18px;
      padding: 8px 16px;
  }
}


/* ToolTips para botones Más alto - Más bajo */
#nummasalto[data-title]::before, #nummasbajo[data-title]::before  { background:yellow; font-size:14px; 
  border-radius:7px; border:1px solid black; padding:4px 10px;
  margin-top:50px; margin-left:-40px;
  position:absolute; display:none; }    

#nummasalto[data-title]:hover::before { content:"Número debe ser más alto."; display:block;  }
#nummasbajo[data-title]:hover::before { content:"Número debe ser más bajo."; display:block;  }


/*  Extra pequeño (móviles muy chicos) */
@media (max-width: 480px) {
	#contentmain {
		display:grid;
		width:95%;  background-size: cover;
	}
	
	.arealeft, .arearight { width:90%; }
	.arearight { margin-left:0px; margin-top:4px; padding:4px; border:none; }
	
  .grid-container {
	  width:95%;
  }

  .grid-item {
      font-size: 20px;
  }

  .grid-itemlife {
      width: 25px; 
      height: 25px;
      font-size: 12px;
  }
}